"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _columnsContainer = _interopRequireDefault(require("./columnsContainer"));

class Column {
  constructor(name, columnsContainer, columnArguments = []) {
    /**
     * Column name.
     */
    this.name = name;
    /**
     * Column's parent table instance.
     */

    this.columnsContainer = columnsContainer;
    /**
     * Arguments that will set when generating SQL in parentheses, eg. "bigint(20)".
     * @type {Array}
     */

    this.arguments = columnArguments;
  }
  /**
   * Returns name of column
   */


  getName() {
    return this.name;
  }
  /**
   *
   * @returns {string}
   */


  getType() {
    return "";
  }

  getArguments() {
    return this.arguments;
  }
  /**
   * Returns parent table columns container
   */


  getParentColumnsContainer() {
    return this.columnsContainer;
  }
  /**
   * Returns table
   */


  getParentTable() {
    return this.getParentColumnsContainer().getParentTable();
  }

  getObjectValue() {
    return {
      name: this.getName(),
      type: this.getType(),
      arguments: this.getArguments()
    };
  }

}

var _default = Column;
exports.default = _default;
//# sourceMappingURL=column.js.map