"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = _interopRequireDefault(require("lodash"));

class ColumnsContainer {
  constructor(table) {
    /**
     * Contains all registered columns.
     * @type {Array}
     */
    this.columns = [];
    /**
     * Parent parentTable - instance of Table class.
     */

    this.parentTable = table;
    /**
     * Temporary stored name that will be assigned to newly created column.
     */

    this.newColumnName = "";
  }

  column(newColumnName) {
    this.newColumnName = newColumnName;
    return this;
  }

  getColumns() {
    return this.columns;
  }

  getColumn(name) {
    return _lodash.default.find(this.columns, {
      name
    });
  }

  getParentTable() {
    return this.parentTable;
  }

}

var _default = ColumnsContainer;
exports.default = _default;
//# sourceMappingURL=columnsContainer.js.map