"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _lodash = _interopRequireDefault(require("lodash"));

class IndexesContainer {
  constructor(table) {
    /**
     * Contains all registered indexes.
     * @type {Array}
     */
    this.indexes = [];
    /**
     * Parent parentTable - instance of Table class.
     */

    this.parentTable = table;
    /**
     * Temporary stored name that will be assigned to newly created index.
     */

    this.newIndexName = "";
  }

  index(newIndexName) {
    this.newIndexName = newIndexName;
    return this;
  }

  getIndexes() {
    return this.indexes;
  }

  getIndex(name) {
    return _lodash.default.find(this.indexes, {
      name
    });
  }

  getParentTable() {
    return this.parentTable;
  }

}

var _default = IndexesContainer;
exports.default = _default;
//# sourceMappingURL=indexesContainer.js.map