"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _indexesContainer = _interopRequireDefault(require("./indexesContainer"));

class Index {
  constructor(name, indexesContainer, columns = []) {
    /**
     * If name is missing, let's automatically generate one - based on passed columns.
     * @type {string}
     */
    this.name = name || columns.join("_");
    /**
     * Index's parent table instance.
     */

    this.indexesContainer = indexesContainer;
    /**
     * The maximum number of digits.
     * @type {number}
     */

    this.columns = columns;

    if (!this.columns.length) {
      throw Error(`Columns not defined for index "${this.name}".`);
    }
  }
  /**
   * Returns name of index
   */


  getName() {
    return this.name;
  }

  getType() {
    return "";
  }
  /**
   * Returns parent table indexes container
   */


  getParentIndexesContainer() {
    return this.indexesContainer;
  }
  /**
   * Returns table
   */


  getParentTable() {
    return this.getParentIndexesContainer().getParentTable();
  }

  getColumns() {
    return this.columns;
  }

  getObjectValue() {
    return {
      name: this.getName(),
      type: this.getType(),
      columns: this.getColumns()
    };
  }

}

var _default = Index;
exports.default = _default;
//# sourceMappingURL=tableIndex.js.map